
{*************************************************************}
{                                                             }
{       Animated Menus                                        }
{       Advanced Office2000/Windows2000 menu component        }
{       for Borland Delphi and C++Builder                     }
{                                                             }
{       Version 2.5 (build 690)                               }
{       Compiled 18.01.2001 17:56                             }
{                                                             }
{       Copyright (c) 1997-2001 AnimatedMenus.com, Inc.       }
{       All rights reserved.                                  }
{                                                             }
{       Web:     http://www.animatedmenus.com/                }
{       Support: http://www.animatedmenus.com/support/        }
{       Email:   Support@AnimatedMenus.com                    }
{       Info:    Info@AnimatedMenus.com                       }
{                                                             }
{       Visit our website at www.animatedmenus.com and        }
{       evaluate other software from AnimatedMenus.com!       }
{                                                             }
{*************************************************************}


unit am2000;

{$BOOLEVAL OFF}
{$RANGECHECKS OFF}
{$TYPEDADDRESS OFF}
{$WRITEABLECONST ON}
{$DEFINE ANIMATEDMENUS220}
{$DEFINE ANIMATEDMENUS655}

{$I am2000.inc}

interface

uses
  am2000menubar, am2000mainmenu, am2000popupmenu;


type
  TMainMenu2000 = class(TCustomMainMenu2000)
  published
    property Items;
    property Options;
    property Font;
    property ParentFont;
    property ShowHint;
    property ParentShowHint;
    property SystemFont;
    property Ctl3D;
    property StatusBar;
    property StatusBarIndex;
    property OnMenuCommand;
    property OnMenuClose;
    property OnCloseQuery;
    property OnContextMenu;

{$IFNDEF Delphi4OrHigher}
    property Images;
{$ENDIF}
    property Version;

  end;

  TMenuBar2000 = class(TCustomMenuBar2000)
  published
    property Transparent;
    property Version;
    property Visible;
    property Flat;
    property Align stored True;
    property Menu;
    property PopupMenu;
    property HotTrack;

{$IFDEF Delphi4OrHigher}
    property DockSite;
    property DragKind;
    property DragMode;
{$ENDIF}

  end;

  TPopupMenu2000 = class(TCustomPopupMenu2000)
  published
    property StatusBar;
    property StatusBarIndex;
    property ShowHint;
    property ParentShowHint;
    property Font;
    property ParentFont;
    property SystemFont;
    property Options;
    property Ctl3D;
{$IFNDEF Delphi4OrHigher}
    property Images;
{$ENDIF}

    property OnMenuCommand;
    property OnMenuClose;
    property OnCloseQuery;
    property OnContextMenu;

    property Version;

  end;


implementation

uses
  Windows, am2000cache;

{$R am2000.res}

begin
  MessageBox(0, SDoesntSupportText1, SDoesntSupportTitle, mb_IconInformation);
end.
