
{*******************************************************}
{                                                       }
{       Animated Menus                                  }
{       Component registraton unit                      }
{                                                       }
{       Copyright (c) 1997-2001 AnimatedMenus.com       }
{       All rights reserved.                            }
{                                                       }
{*******************************************************}


unit am2000reg;

{$I am2000.inc}

interface

procedure Register;

implementation

uses
  Classes, DsgnIntf,
  am2000, am2000menuitem, am2000designer
  {$IFDEF Delphi3OrHigher}, am2000shortcut {$ENDIF}
  {$IFDEF Delphi5OrHigher}, am2000imageindex {$ENDIF};

procedure Register;
begin
  RegisterComponents('Animated Menus', [TMenuBar2000, TMainMenu2000, TPopupMenu2000]);
  RegisterComponentEditor(TMainMenu2000,   T_AM2000_ComponentEditor);
  RegisterComponentEditor(TPopupMenu2000,  T_AM2000_ComponentEditor);
  RegisterPropertyEditor(TypeInfo(TEditableMenuItem2000), nil, '', T_AM2000_MenuDesigner);
{$IFDEF Delphi3OrHigher}
  RegisterPropertyEditor(TypeInfo(T_AM2000_ShortCut), nil, '', T_AM2000_ShortCutProperty);
{$ENDIF}
{$IFDEF Delphi5OrHigher}
  RegisterPropertyEditor(TypeInfo(T_AM2000_ImageIndex), nil, '', T_AM2000_ImageIndexProperty);
  RegisterPropertyEditor(TypeInfo(T_AM2000_DefaultIndex), nil, '', T_AM2000_DefaultIndexProperty);
{$ENDIF}
end;

end.
